=== debian/changelog ===
framel (8.49.0-1) unstable; urgency=medium

  * framel 8.49.0 automatic configure

 -- Benoit Mours <benoit.mours@iphc.cnrs.fr>  Thu, 05 Feb 2026 13:19:47 +0000

framel (8.46.2-2) unstable; urgency=medium

  [Duncan Macleod]
  * use versioned library name
  [Steffen Grunewald]
  * dh-python, ${python:Depends}, --with=python3 to correctly place module

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 01 Feb 2024 08:43:00 +0100

framel (8.46.2-1) unstable; urgency=medium

  * New upstream version v8r46p2
  * Patches:
    - do not compile mex files (Duncan M. Macleod)
    - Python 3.1x install path
  * python3-framel depends on libframel.so (package libframel8)

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 26 Jan 2024 09:45:00 +0100

framel (8.46.1-0.99) unstable; urgency=medium

  * New upstream version v8r46p1
  * Re-included python3-framel package
  * Do not compile mex files (Duncan M. Macleod)
  * Python 3.1x patch - with fallback

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 10 Jan 2024 14:20:00 +0100

framel (8.46.0-0.01) unstable; urgency=medium

  * New upstream version v8r46

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 09 Nov 2023 14:56:00 +0100

framel (8.45.0-0.01) unstable; urgency=medium

  * New upstream version v8r45

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 23 Aug 2023 11:59:00 +0200

framel (8.43.1-0.01) unstable; urgency=medium

  * New upstream version v8r43p1

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 30 May 2023 16:35:00 +0200

framel (8.43.0-0.01) unstable; urgency=medium

  * New upstream version v8r43

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 09 May 2023 09:40:00 +0200

framel (8.42.4-0.10) unstable; urgency=medium

  * New upstream version 8.42.4: more matlab additions

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 29 Nov 2022 10:05:00 +0100

framel (8.42.3-0.52) unstable; urgency=medium

  * New upstream version 8.42.3: matlab additions
  * Remove {lib,}framel-matlab from debian/control
  * ENABLE_MATLAB=no

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Mon, 25 Jul 2022 09:32:00 +0200

framel (8.42.2-0.5) unstable; urgency=medium

  * New upstream version 8.42.2: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Mon, 11 Jul 2022 09:07:00 +0200

framel (8.42.1-0.5) unstable; urgency=medium

  * New upstream version 8.42.1: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 02 Jun 2022 12:50:00 +0200

framel (8.42.0-0.5) unstable; urgency=medium

  * New upstream version 8.42.0

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 06 May 2022 15:32:00 +0200

framel (8.41.8-0.9) unstable; urgency=medium

  * New upstream version 8.41.8: bugfixes: buffer size, typo

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 06 May 2022 15:30:00 +0200

framel (8.41.7-0.9) unstable; urgency=medium

  * New upstream version 8.41.7

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 17 Feb 2022 11:20:00 +0100

framel (8.41.6-0.9) unstable; urgency=medium

  * New upstream version 8.41.6: bugfixes, error handling

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Tue, 07 Dec 2021 09:15:00 +0100

framel (8.41.5-0.9) unstable; urgency=medium

  * New upstream version 8.41.5: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Wed, 20 Oct 2021 09:45:00 +0200

framel (8.41.4-0.9) unstable; urgency=medium

  * New upstream version 8.41.4: bugfixes

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 08 Oct 2021 14:55:00 +0200

framel (8.41.3-0.9) unstable; urgency=medium

  * New upstream version 8.41.3

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Fri, 13 Aug 2021 13:10:00 +0200

framel (8.41.2-0.9) unstable; urgency=medium

  * New upstream version 8.41.2

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 22 Apr 2021 13:50:00 +0200

framel (8.41.1-1) unstable; urgency=medium

  * New upstream version 8.41.1
  * debian: update watch file

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 08 Feb 2021 09:58:03 +0000

framel (8.40.1-1) UNRELEASED; urgency=medium

  * New upstream version 8.40.1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 15 Jun 2020 18:21:01 +0100

framel (8.39.2-3) unstable; urgency=low

  * Fix relationships to old package names

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 12 May 2020 13:09:53 +0000

framel (8.39.2-2) unstable; urgency=low

  * Update package names for new SO name

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 12 May 2020 09:31:33 +0000

framel (8.39.2-1) unstable; urgency=medium

  * New upstream version 8.39.2

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 11 May 2020 08:55:55 +0000

framel (8.38.3-1) unstable; urgency=low

  * rebuild for 8.38.3-1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 06 May 2020 12:58:08 +0000

framel (8.38.1-1) unstable; urgency=low

  * rebuild for 8.38.1-1

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 29 Apr 2020 15:27:00 -0000

libframe (8.36-1) unstable; urgency=low

  * rebuild with cmake

 -- Duncan Macleod <duncan.macleod@ligo.org>  Fri, 24 May 2019 14:00:00 -0000

libframe (8.30-1) unstable; urgency=low

  * libframe-8.30

 -- Adam Mercer <adam.mercer@gmail.com>  Tue, 12 Apr 2016 07:48:52 -0500

libframe (8.20-1) testing; urgency=low

  * libframe-8.20

 -- Adam Mercer <adam.mercer@ligo.org>  Wed, 25 Sep 2013 09:30:54 -0500

libframe (8.19.1-1) testing; urgency=low

  * libframe-8.19.1

 -- Adam Mercer <adam.mercer@ligo.org>  Fri, 10 May 2013 13:37:58 -0500

libframe (8.17.2-1) testing; urgency=low

  * libframe-8.17.2

 -- Adam Mercer <adam.mercer@ligo.org>  Tue, 2 October 2012 08:20:24 -0500

libframe (8.15-5) testing; urgency=low

  * convert to source format 3.0 (quilt)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Wed, 05 Sep 2011 09:30:00 +0200

libframe (8.15-1) testing; urgency=low

  * libframe-8.15

 -- Adam Mercer <adam.mercer@ligo.org>  Tue, 31 May 2011 10:40:53 -0500


