=== debian/control ===
Source: framel
Section: science
Priority: optional
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Standards-Version: 4.1.1
X-Python3-Version: >=3.5
Homepage: http://lappweb.in2p3.fr/virgo/FrameL
Build-Depends:
 debhelper (>= 9),
 dh-python,
 cmake (>= 3.12.0),
 ctypesgen,
 python3-all-dev,
 python3-numpy,

# -- C library --------------

Package: libframel8
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: framel
Description: LIGO/VIRGO frame library
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains the shared-object library needed to run FrameL
 applications.

# -- dev --------------------

Package: libframel-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libframel8 (= ${binary:Version}),
Replaces: libframe-dev (<< 8.38.1-1~)
Breaks: libframe-dev (<< 8.38.1-1~)
Description: LIGO/VIRGO frame library development files
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains the files needed for building FrameL programs.

# -- utils ------------------

Package: framel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: libframe-utils (<< 8.38.1-1~)
Breaks: libframe-utils (<< 8.38.1-1~)
Description: LIGO/VIRGO frame file utilities
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains some utilities for manipulating frame files, as
 well as the documentation for the library.

Package: libframe-utils
Depends:
 ${misc:Depends},
 framel,
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

# -- matlab -----------------

Package: framel-matlab
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: libframe-matlab (<< 8.38.1-1~)
Breaks: libframe-matlab (<< 8.38.1-1~)
Description: Matlab bindings for FrameL
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains Matlab bindings for manipulating frame files from
 within Matlab.

Package: libframe-matlab
Depends:
 ${misc:Depends},
 framel-matlab,
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

# -- python -----------------

Package: python3-framel
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libframel8 (= ${binary:Version}),
 python3,
 python3-numpy,
Description: Python bindings for FrameL
 A Common Data Frame Format for Interferometric Gravitational Wave Detector
 has been developed by VIRGO and LIGO.  The Frame Library is a software
 dedicated to the frame manipulation including file input/output.
 .
 This package contains Python 3 bindings for manipulating frame files from
 within Python.
